> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 모니터 신호 검색

> 페이지 전달(`is_paged_delivery: true`)의 다음 페이지를 읽습니다. 기간은 실행 시점에 고정됩니다. 페이지에는 그 기간의 신호만, 모니터의 현재 필터, 회사 범위, 제외 목록, 회사 중복 제거 기간을 적용해 전달과 같은 순서로 담깁니다. 각 페이지는 범위가 정해진 키셋 읽기 한 번이며, 같은 검색과 똑같이 과금됩니다(페이지가 읽는 신호 유형마다 검색 크레딧 1회, 관심 목록은 무료). 페이지는 웹훅 페이로드와 같은 형태입니다.



## OpenAPI

````yaml ko-openapi POST /monitors/signals/search
openapi: 3.0.0
info:
  description: >-
    Pubrio API는 마켓 확장 인텔리전스를 제공합니다——기업의 신규 시장 진입을 포착하는 실시간 시그널과 그 기반이 되는 기업·인물
    데이터. 계정과 연락처를 검색·조회·보강하고, 200+ 시장에 걸친 유형·날짜가 있는 움직임 시그널을 구독하세요.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ko/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ko/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 워크스페이스 프로필 정보 및 사용량 통계
  - name: Enrichment
    description: 상세한 B2B 데이터로 인물 및 기업 레코드를 보강
  - name: Lookalike
    description: 지정된 기업과 유사한 기업 검색
  - name: Search
    description: 필터를 사용하여 인물, 기업, 채용, 뉴스 및 광고 검색
  - name: Lookup
    description: 특정 인물, 기업, 채용, 뉴스, 광고 및 기술의 상세 정보 조회
  - name: LinkedIn
    description: LinkedIn 프로필 URL을 통한 인물 및 기업 데이터 조회
  - name: Redeem
    description: 크레딧을 사용하여 인물 연락처 정보 잠금 해제 (단건 및 배치)
  - name: Channels
    description: 아웃리치 채널 템플릿 관리 (생성, 수정, 삭제, 목록)
  - name: Monitor
    description: 웹훅, 통계 및 처리를 포함한 데이터 모니터 생성 및 관리
  - name: Filters
    description: 검색 매개변수에 사용 가능한 필터 값 조회 (기술, 지역, 버티컬 등)
  - name: API Keys
    description: API 키의 요청 로그 및 사용량 분석 조회
  - name: Insights
    description: 회사의 신호 집계 인사이트(채용, 뉴스, 광고).
  - name: Export
    description: 대량 데이터 내보내기(크레딧 차감).
  - name: Expansion
    description: '회사 시장 확장 인텔리전스: 신호, 단계, 시장, 내보내기.'
externalDocs:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  url: https://docs.pubrio.com
paths:
  /monitors/signals/search:
    post:
      tags:
        - Monitor
      summary: 페이지 전달의 신호 검색
      description: >-
        페이지 전달(`is_paged_delivery: true`)의 다음 페이지를 읽습니다. 기간은 실행 시점에 고정됩니다. 페이지에는
        그 기간의 신호만, 모니터의 현재 필터, 회사 범위, 제외 목록, 회사 중복 제거 기간을 적용해 전달과 같은 순서로 담깁니다. 각
        페이지는 범위가 정해진 키셋 읽기 한 번이며, 같은 검색과 똑같이 과금됩니다(페이지가 읽는 신호 유형마다 검색 크레딧 1회, 관심
        목록은 무료). 페이지는 웹훅 페이로드와 같은 형태입니다.
      operationId: monitors_signals_search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                page_token:
                  type: string
                  description: >-
                    페이지 전달 또는 이전 페이지의 `metadata.window.next_page_token`. 고정된 기간을
                    담고 있어 같은 토큰은 항상 같은 범위를 읽습니다. 마지막 페이지에서 `null`이면 기간을 다 읽은
                    것입니다.
              required:
                - page_token
      responses:
        '200':
          description: >-
            페이지. 웹훅 페이로드와 같은 형태에 모든 검색이 반환하는 것과 같은 `pagination` 블록이 붙습니다. 전체 형태는
            `{ metadata: { monitor_log_id, page_token }, data: {...} }`입니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      monitor_log_id:
                        type: string
                        format: uuid
                        description: 이 페이지가 속한 전달(해당 통계 로그 행).
                      page_token:
                        type: string
                        description: 이 페이지를 읽을 때 쓴 토큰.
                  data:
                    type: object
                    description: >-
                      웹훅 페이로드와 같은 형태: `monitor`, `metadata`, `triggered_at`, 그리고
                      `signals`(신호 단위) 또는 `companies`(회사 단위).
                    properties:
                      metadata:
                        type: object
                        properties:
                          monitor_log_id:
                            type: string
                            format: uuid
                            description: 이 페이지가 속한 전달.
                          total_signals:
                            type: integer
                            description: 이 페이지의 신호 수.
                          total_companies:
                            type: integer
                            description: 이 페이지의 회사 수.
                          window:
                            type: object
                            properties:
                              from:
                                type: string
                                format: date-time
                                description: 기간의 시작(이전 실행).
                              to:
                                type: string
                                format: date-time
                                description: 기간의 끝(이번 실행).
                              next_page_token:
                                type: string
                                nullable: true
                                description: 다음 페이지 토큰. 마지막 페이지에서는 `null`.
                      pagination:
                        $ref: '#/components/schemas/search_pagination'
              example:
                metadata:
                  monitor_log_id: 516b72de-79d5-400b-9bae-423a43eca98b
                  page_token: c2b1…
                data:
                  monitor:
                    monitor_id: c9cd5421-b327-4243-9cd7-8b341b3da8bd
                    name: Weekly CFO hires
                    detection_mode: signal_first
                    record_unit: signal
                  metadata:
                    monitor_log_id: 516b72de-79d5-400b-9bae-423a43eca98b
                    parent_monitor_log_id: null
                    total_signals: 25
                    total_companies: 25
                    total_people: 0
                    window:
                      from: '2026-10-10T02:09:00.000Z'
                      to: '2026-10-17T06:09:56.270Z'
                      next_page_token: eyJhbGciOi…
                  triggered_at: '2026-10-17T06:20:11.002Z'
                  signals: []
                  pagination:
                    page: 2
                    per_page: 25
                    total_entries: 395
                    total_pages: 16
                    total_display_pages: 16
                    is_timeout: false
                    is_estimated: false
        '400':
          $ref: '#/components/responses/general_error'
        '429':
          $ref: '#/components/responses/rate_limit_error'
        '500':
          $ref: '#/components/responses/server_error'
components:
  schemas:
    search_pagination:
      type: object
      description: 결과 집합의 페이지네이션입니다.
      properties:
        page:
          type: integer
          description: 현재 페이지 번호입니다.
        per_page:
          type: integer
          description: 페이지당 레코드 수입니다.
        total_entries:
          type: integer
          description: 일치하는 레코드 총수입니다. `is_estimated`가 `true`이면 추정치입니다.
        total_pages:
          type: integer
          description: '`total_entries`를 `per_page`로 나눈 값입니다.'
        total_display_pages:
          type: integer
          description: 이 결과의 페이지 수로, 플랜의 `max_display_search_page`로 제한됩니다.
        is_estimated:
          type: boolean
          description: >-
            `total_entries`가 정확한 개수가 아니라 추정치일 때 `true`입니다. 추정된 총수를 기준으로 페이지 조회를
            멈출 시점을 판단하지 마세요. 페이지가 `per_page`보다 적은 행을 반환하면 멈추세요.
        is_timeout:
          type: boolean
          description: >-
            검색이 제한 시간 안에 끝나지 않았을 때 `true`입니다. 이 경우 `total_entries`는 지금까지 반환된 행만
            집계하며, 빈 페이지는 일치하는 항목이 없다는 뜻이 아니라 검색이 완료되지 않았다는 뜻입니다.
  responses:
    general_error:
      description: 잘못된 요청. 요청 형식이 올바르지 않거나 잘못된 매개변수가 포함되어 있습니다. 오류 코드와 메시지를 확인하세요.
      content:
        application/json:
          schema:
            required:
              - code
              - message
              - details
            type: object
            properties:
              code:
                example: 40001
                type: integer
              message:
                example: 오류 코드 및 메시지는 상황에 따라 다를 수 있습니다. 자세한 내용은 문서를 참조하세요.
                type: string
              details:
                type: object
    rate_limit_error:
      description: 요청 속도 제한 초과. 주어진 시간 내에 너무 많은 요청이 전송되었습니다. 속도 제한 창이 재설정된 후 다시 시도하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청 빈도가 제한을 초과했습니다. 잠시 후 다시 시도해주세요.
                type: string
    server_error:
      description: 내부 서버 오류. 서버에서 예기치 않은 오류가 발생했습니다. 오류가 지속되면 지원팀에 문의하세요.
      content:
        application/json:
          schema:
            required:
              - error
            type: object
            properties:
              error:
                example: 요청을 처리하는 중 서버에서 예기치 않은 오류가 발생했습니다
                type: string
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API에서 수행하는 작업 및 해당 권한을 식별하는 고유한 API 토큰입니다. 이 토큰은
        [설정](https://dashboard.pubrio.com/#/settings/) 섹션에서 생성할 수 있습니다.
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.